| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfTRS Struct Reference
Subscriber Features

Toll and Call Restrictions. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
xsd__string | CORName
| Standard Class of Restrictions. More...
struct unsp__AlternateCOR * | AlternateCOR
| Alternate Class of Restrictions data. More...
struct unsp__CodeRestrictedLineList * | RestrictedLineList
| List of Restricted Lines. More...
struct unsp__CfTRS_locPres * | Local
| Local Presence flags. More...
xsd__boolean * | LogicalPartitioning
| Logical Partitioning Feature. More...
xsd__string | TrafficTypeName
| Traffic Type used for Logical Partitioning. More...

## Detailed Description

Toll and Call Restrictions.

The Toll and Call Restrictions feature provides destination limitations on calls originated at designated stations and private facilities and is applicable to Subscribers/Feature Profiles and to Endpoint Profiles. The limitations can be provisioned through Classes of Restrictions and Alternate Classes of Restrictions, both of which shall be associated with a List of Traffic Types.

The Alternate Restriction consists of a Class of Restriction, a Duration Switch Over Time, a Day Schedule and a Date Schedule. The Duration Switch Over specifies the activation/De-activation of the Switch over scenario. The range of the switchover duration is between 0 to 60,000 minutes. By default, the switchover duration is 120 minutes. It is possible to provision a predefined time every day during which the Subscriber /endpoint Profile will change from the standard Class Of Restriction to the alternate and vice versa. This provisioning is optional.

The provisioning of the Standard Class of Restriction requires an existing Class of Restriction Name. The provisioning of the Alternate Class of Restriction requires a Date and Day Schedule. The Date Schedule shall consist of a Starting Date with a format of YYYY - MM - DD T HH : MM:SS and an End Time. It is important to note that range between the Start Date and End Date cannot be greater than 14 (14 separate Date Schedules). Similarly, the Day Schedule consists of a specific Staring Day of the Week, a Start Time and an End Time.
MP2 command: CFEPTRS [Attributes] (Endpoint Profile)
MP2 command: CFTRS [Attributes] (Subscriber and Feature Profile)

## Member Data Documentation

## ◆ AlternateCOR

struct unsp__AlternateCOR* unsp__CfTRS::AlternateCOR

Alternate Class of Restrictions data.

required: false

## ◆ CORName

xsd__string unsp__CfTRS::CORName

Standard Class of Restrictions.

required: true
default value[range]: NA [1..32]

## ◆ Local

struct unsp__CfTRS_locPres* unsp__CfTRS::Local

Local Presence flags.

## ◆ LogicalPartitioning

xsd__boolean* unsp__CfTRS::LogicalPartitioning

Logical Partitioning Feature.

required: false

## ◆ RestrictedLineList

struct unsp__CodeRestrictedLineList* unsp__CfTRS::RestrictedLineList

List of Restricted Lines.

required: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfTRS::Subscribed

Standard Subscribed enumeration.

## ◆ TrafficTypeName

xsd__string unsp__CfTRS::TrafficTypeName

Traffic Type used for Logical Partitioning.

required: false
default value[range]: NA [1..32]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h